Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162246 - Backport some Xnest fixes
Summary: Backport some Xnest fixes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 14:03 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 11:24:25 UTC


Attachments (Terms of Use)
xorg-x11-6.8.2-xnest-update-modifier-state-fdo3030-fdo3664.patch (deleted)
2005-07-01 14:05 UTC, Mark McLoughlin
no flags Details | Diff
xorg-x11-6.8.2-xnest-fix-warning-spew-fdo3513.patch (deleted)
2005-07-01 14:07 UTC, Mark McLoughlin
no flags Details | Diff

Description Mark McLoughlin 2005-07-01 14:03:58 UTC
It would be really nice for Sabayon if two fixes for Xnest could be backported
to rawhide:

  1) Modifier state confusion:

       https://bugs.freedesktop.org/show_bug.cgi?id=3030
       https://bugs.freedesktop.org/show_bug.cgi?id=3664

     Basically, you Alt-Tab from Xnest and when you come back it thinks Alt
     is still pressed.

     The first patch has been committed upstream, the second patch hasn't
     been yet, but its trivial.

   2) Warning spew when using the -parent command line arg:

       https://bugs.freedesktop.org/show_bug.cgi?id=3513

      Recent versions of Sabayon embed the Xnest window in a GTK window and
      we see lots and lots of

       xnest warning: unhandled event
       xnest warning: unhandled event
       xnest warning: unhandled event

      The patch is pretty trivial and has been accepted upstream.

Comment 1 Mark McLoughlin 2005-07-01 14:05:50 UTC
Created attachment 116241 [details]
xorg-x11-6.8.2-xnest-update-modifier-state-fdo3030-fdo3664.patch

Comment 2 Mark McLoughlin 2005-07-01 14:07:04 UTC
Created attachment 116242 [details]
xorg-x11-6.8.2-xnest-fix-warning-spew-fdo3513.patch

Comment 3 Mike A. Harris 2005-07-05 10:16:14 UTC
Please reopen the upstream bug reports linked to above, and nominate these
patches in X.Org bugzilla for inclusion in 6.8.3.  Once they've received
review and acceptance for 6.8 branch, we'll consider adding them to our
rpms.

Note that FC5 will almost certainly ship X11R7 which will already contain
these fixes if they're in CVS already.  So the patches will only apply
to FC3/FC4 updates.

Also, once accepted into 6.8 upstream, if this is critical enough to warrant
RHEL updates for Xnest, please file a separate bug report against RHEL4
for each issue individually for Proposed-list tracking.

TIA

Comment 4 Mark McLoughlin 2005-07-11 12:24:39 UTC
Re-opened the upstream bugs and nominated for 6.8.x

Only really concerned about seeing these fixes in rawhide ASAP for Sabayon. An
FC3 update would be nice, but not so important. RHEL4 is not an issue.

Comment 5 Mike A. Harris 2005-07-12 11:24:25 UTC
Both patches committed to xorg-x11-6.8.2-43 in CVS.  Will be in rawhide
soon.


Note You need to log in before you can comment on or make changes to this bug.